/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\tombstone.cs
Lines of code: 34

Description: 

***********************************************************/





//******************************************************************
//NOTE:  This artifact has been converted over to TombstoneOfTheDamned
//******************************************************************



using System;
using Server.Items;
using Server.Misc;

namespace Server.Items
{
	public class tombstoneartifact : Item
	{
	

	
		[Constructable]
		public tombstoneartifact()
		{
if(0.9>Utility.RandomDouble())ItemID=4453+Utility.Random(30);
else ItemID=3796+Utility.Random(10);
		
		}

	/*	public override string DefaultName
		{
			get { return "Duel Wall Generator"; }
		} */
		
				

		

		public tombstoneartifact( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
    	}

		public override void Deserialize( GenericReader reader )
		{
					base.Deserialize( reader );
		
			int version = reader.ReadInt();

		}
		
		public override void OnAfterLoad()
		{
			Item i = new TombstoneOfTheDamned();
			i.ItemID=this.ItemID;			
			Misc.ObjectConverter.ConvertItem(this,i);
		}			
	}
}